name: recipe_flutter
description: Recipe App – Flutter frontend (web-first, mobile-ready)
publish_to: "none"
version: 1.0.0+1

environment:
  sdk: ">=3.3.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_web_plugins:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  go_router: ^17.2.2
  riverpod: ^3.2.1
  flutter_riverpod: ^3.3.1
  http: ^1.6.0
  intl: ^0.20.2
  shared_preferences: ^2.5.5
  file_picker: ^11.0.2
  web: ^1.1.1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  build_runner: ^2.4.9
  mockito: ^5.4.4

flutter:
  uses-material-design: true
  generate: true
